tinkerpop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stephen mallette (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (TINKERPOP-1340) docs do not state at what version an API was introduced (or deprecated)
Date Mon, 18 Jul 2016 18:27:20 GMT

     [ https://issues.apache.org/jira/browse/TINKERPOP-1340?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

stephen mallette updated TINKERPOP-1340:
----------------------------------------
    Fix Version/s:     (was: 3.1.3)
                   3.1.4

> docs do not state at what version an API was introduced (or deprecated)
> -----------------------------------------------------------------------
>
>                 Key: TINKERPOP-1340
>                 URL: https://issues.apache.org/jira/browse/TINKERPOP-1340
>             Project: TinkerPop
>          Issue Type: Improvement
>          Components: documentation
>    Affects Versions: 3.2.0-incubating, 3.1.2-incubating
>            Reporter: Jason Plurad
>            Priority: Trivial
>              Labels: easyfix, newbie
>             Fix For: 3.2.1, 3.1.4
>
>
> An all-to-common problem for new developers coming to the TinkerPop is figuring out which
APIs work against the graph they are using. Since TinkerPop is ahead of many graph implementation
out there (Titan/TP 3.0.1, Stardog/TP 3.0.2, Blazegraph/TP 3.1.0 -- kudos to Sqlg and Unipop
for TP 3.2.0!), it's really important that developers know which APIs in the current docs
are valid. Ideally the developers would go directly to that version of the TP docs, but that
doesn't always happen thanks to Google.
> I propose doc updates on each Graph Traversal Step in the [reference docs|http://tinkerpop.apache.org/docs/current/reference/#graph-traversal-steps]
and in the javadocs (on [__.java|http://tinkerpop.apache.org/javadocs/current/full/org/apache/tinkerpop/gremlin/process/traversal/dsl/graph/__.html]
and on specific step implementations, i.e. [AddEdgeStep.java|http://tinkerpop.apache.org/javadocs/current/full/org/apache/tinkerpop/gremlin/process/traversal/step/map/AddEdgeStep.html]).
> It should state the specific version (3.y.z) the API was introduced or deprecated.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message